# abstract JointStyle(Null<Int>)

#### package openfl.display

####

Available on all platforms

The JointStyle class is an enumeration of constant values that specify the joint style to use in drawing lines. These constants are provided for use as values in the `joints` parameter of the `openfl.display.Graphics.lineStyle()` method. The method supports three types of joints: miter, round, and bevel, as the following example shows:

### Variables

###

`inline read onlyBEVEL:JointStyle = 0`

Specifies beveled joints in the `joints` parameter of the `openfl.display.Graphics.lineStyle()` method.

###

`inline read onlyMITER:JointStyle = 1`

Specifies mitered joints in the `joints` parameter of the `openfl.display.Graphics.lineStyle()` method.

###

`inline read onlyROUND:JointStyle = 2`

Specifies round joints in the `joints` parameter of the `openfl.display.Graphics.lineStyle()` method.